! { dg-do compile }

!GCC$ buil tin (s in) attributes simd (inbranch)
!GCC$ builtin (sinf) at tributes simd (notinbranch)
!GCC$ builtin (cosf) att r i    bu  tes s  imd
!GCC$ buil ti n (   cosf) attrib utes simd (noti   nbranch)

      PROGRAM Z
      END
